/***************************************************************************
 *   Copyright (C) 2008 by C J Plooy                                       *
 *   cornwarecjp@lavabit.com                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef COLORS_H
#define COLORS_H

#include <windows.h>

//Original Orbit MFD colors:
#define  MFD_GREY              RGB(0x8C,0x8E,0x8C)
#define  MFD_WHITE             RGB(0xE7,0xE3,0xE7)
#define  MFD_RED               RGB(0xFF,0x00,0x00)
#define  MFD_YELLOW            RGB(0xAC,0xAC,0x00)
#define  MFD_GREEN             RGB(0x00,0xAC,0x00)
#define  MFD_LIGHT_GREEN       RGB(0x00,0xE6,0x00)

//Symbolic user-definable colors:
extern COLORREF OrbitMFDPlanetColor;
extern COLORREF OrbitMFDVesselOrbitColor;
extern COLORREF OrbitMFDTargetOrbitColor;
extern COLORREF OrbitMFDGreenAlertColor;
extern COLORREF OrbitMFDYellowAlertColor;
extern COLORREF OrbitMFDRedAlertColor;

void loadColorConfiguration();

#endif


